# API 串接前置作業

- [總覽說明](https://docs.maiagent.ai/api/preparation/readme.md)
- [API 認證](https://docs.maiagent.ai/api/preparation/authentication.md): 本篇將介紹在使用 MaiAgent API 時的身分驗證方法及取得方式
- [狀態碼](https://docs.maiagent.ai/api/preparation/status-code.md): 本篇將介紹使用 API 串接 MaiAgent 服務時，不同狀態下會回傳的 HTTP 代碼與回傳格式範例


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maiagent.ai/api/preparation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
